<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: yahoo   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>YAHOO Global&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_yahoo.html">yahoo</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: yahoo
                    


                    </h3>
                    <div class="description summary">
                        The YAHOO object is the single global object used by YUI Library.  It
contains utility function for setting up namespaces, inheritance, and
logging.  YAHOO.util, YAHOO.widget, and YAHOO.example are namespaces
created automatically for and used by the library.
                    </div>

                    <form onsubmit="return false">
                        <p>Search yahoo:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.html#augment", "host": "YAHOO", "name": "augment"}, {"url": "YAHOO.lang.html#augment", "host": "YAHOO.lang", "name": "augment"}, {"url": "YAHOO.html#extend", "host": "YAHOO", "name": "extend"}, {"url": "YAHOO.lang.html#extend", "host": "YAHOO.lang", "name": "extend"}, {"url": "YAHOO.env.html#getVersion", "host": "YAHOO.env", "name": "getVersion"}, {"url": "YAHOO.lang.html#hasOwnProperty", "host": "YAHOO.lang", "name": "hasOwnProperty"}, {"url": "YAHOO.html#init", "host": "YAHOO", "name": "init"}, {"url": "YAHOO.lang.html#isArray", "host": "YAHOO.lang", "name": "isArray"}, {"url": "YAHOO.lang.html#isBoolean", "host": "YAHOO.lang", "name": "isBoolean"}, {"url": "YAHOO.lang.html#isFunction", "host": "YAHOO.lang", "name": "isFunction"}, {"url": "YAHOO.lang.html#isNull", "host": "YAHOO.lang", "name": "isNull"}, {"url": "YAHOO.lang.html#isNumber", "host": "YAHOO.lang", "name": "isNumber"}, {"url": "YAHOO.lang.html#isObject", "host": "YAHOO.lang", "name": "isObject"}, {"url": "YAHOO.lang.html#isString", "host": "YAHOO.lang", "name": "isString"}, {"url": "YAHOO.lang.html#isUndefined", "host": "YAHOO.lang", "name": "isUndefined"}, {"url": "YAHOO_config.html#listener", "host": "YAHOO_config", "name": "listener"}, {"url": "YAHOO.env.html#listeners", "host": "YAHOO.env", "name": "listeners"}, {"url": "YAHOO.html#log", "host": "YAHOO", "name": "log"}, {"url": "YAHOO.env.html#modules", "host": "YAHOO.env", "name": "modules"}, {"url": "YAHOO.html#namespace", "host": "YAHOO", "name": "namespace"}, {"url": "YAHOO.html#register", "host": "YAHOO", "name": "register"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class="selected"><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.html">YAHOO</a></li>
                                <li class=""><a href="YAHOO.env.html">YAHOO.env</a></li>
                                <li class=""><a href="YAHOO.lang.html">YAHOO.lang</a></li>
                                <li class=""><a href="YAHOO_config.html">YAHOO_config</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="YAHOO.js.html">YAHOO.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
